/**
 * EntityClassPlace.java
 *
 * File generated from the medication::EntityClassPlace uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration EntityClassPlace.
 *
 * 
 */

@XmlType(name = "EntityClassPlace")
@XmlEnum
@XmlRootElement(name = "EntityClassPlace")
public enum EntityClassPlace {
	@XmlEnumValue("PLC")
	PLC("PLC"),
	@XmlEnumValue("CITY")
	CITY("CITY"),
	@XmlEnumValue("COUNTRY")
	COUNTRY("COUNTRY"),
	@XmlEnumValue("COUNTY")
	COUNTY("COUNTY"),
	@XmlEnumValue("PROVINCE")
	PROVINCE("PROVINCE");
	
	private final String value;

    EntityClassPlace(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static EntityClassPlace fromValue(String v) {
        for (EntityClassPlace c: EntityClassPlace.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}